<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>

<body>
    {% include './navbar.html' %}
    {% block content %}
    <div class="table-responsive">
        <table border="2px"
            class=" w-75 table table-hover align-middle border-2 table-bordered border-success"
            style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); border-collapse: collapse;">
            <tr class="table-striped">
                <th style="padding: 5px;" class="position-sticky text-center table-dark">Receiver</th>
                {% for note in notes%}
                <td style="padding: 5px;" class="table-primary text-center">{{note.to}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th style="padding: 5px;" class="position-sticky text-center table-dark">Sender</th>
                {% for note in notes%}
                <td style="padding: 5px;" class="table-secondary text-center">{{note.From}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th style="padding: 5px;" class="position-sticky text-center table-dark">Title</th>
                {% for note in notes%}
                <td style="padding: 5px;" class="table-primary text-center">{{note.title}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th style="padding: 5px;" class="position-sticky text-center table-dark">Message</th>
                {% for note in notes%}
                <td style="padding: 5px;" class="table-secondary text-center">{{note.message}}</td>
                {% endfor %}
            </tr>
            <!-- TODO loop from Friend model -->
            <!-- EXAMPLE SECTION -->
            <!-- {% for note in notes%} -->
            <!-- <tr>
                <td style="padding: 5px;">{{note.noteTo}}</td>
                <td style="padding: 5px;">{{note.noteFrom}}</td>
                <td style="padding: 5px;">{{note.noteTitle}}</td>
                <td style="padding: 5px;">{{note.noteMessage}}</td>
            </tr> -->
            <!-- {% endfor %} -->
            <!-- END SECTION -->
        </table>
    </div>
    {% endblock content %}
</body>

</html>